## Application Name

(Put the name of the crashing application here. Do not report kernel panics with this template.)

## Steps to Reproduce

(Please tell us how to reliably make the crash happen.)

## Relevant Log Entries

(Please put anything interesting from the log file here, including any exception information. The log is currently not stored in a file, but output on COM1.)

## Version or Object Dump

(Put the version number here if using a released version. If building from source with no changes, put the commit SHA of the version you are building. If building from source with modifications, please link to the output of `objdump -d -C -Mintel obj/APPLICATION.elf`, as well as `objdump -t -C obj/APPLICATION.elf | sort`.)

## Additional Comments

(If you've done any research into what might be causing the problem, or noticed a similarity to a past problem, please let us know!)

## Final Steps

(Please set the appropriate "where" label, then delete this heading. Finally, proofread your issue under the "preview" tab.)

/label ~"kind::application-crash"
