#include "color_editor.h"

color_editor::color_editor(struct setting *s, const char *sname)
  : c(&s->data.color), p(s->data.color) {
  editing_widget_ready(p, sname);
}

#include <knob/format.h>

void color_editor::set_data() {
  const _pixel_t new_c = p.get_picked_color();
  if ((c->r != new_c.r) || (c->g != new_c.g) || (c->b != new_c.b)) {
    *c = new_c;
    main_w->is_saved = false;
  }
}