#ifndef MODEL_H
#define MODEL_H

#include <raleigh/d/saving_window.h>
#include <structs/alist.h>

union setting_data {
  char *string;
  _pixel_t color;
};

struct setting {
  enum {
    STRING,
    COLOR
  } kind;
  union setting_data data;
  const char *name;
};

extern alist<struct setting> settings;
extern raleigh::saving_window *main_w;

#endif