#include <raleigh/w/padding.h>
#include <raleigh/w/button.h>
#include <raleigh/w/label.h>
#include <raleigh/w/vbox.h>
#include "editor.h"

bool editor_save(window_tag_t e) {
  ((editor *)e)->set_data();
  return true;
}

editor::editor()
  : w(0) {}

void editor::editing_widget_ready(widget &e, const char *s) {
  label *l = new label(s);
  padding *p = new padding(*l, 4);

  dllist<widget &> *list = new dllist<widget &>();
  list->add_back(*p);
  list->add_back(e);

  vbox *box = new vbox(*list);

  w = new window(*box, RGB(bf, bf, bf), &editor_save, this);
}

void editor::show() {
  w->show();
}